Bug 1221496

Summary: 'fping' should support IPv6 transparently
Product: [Fedora] Fedora Reporter: Nikos Mavrogiannopoulos <nmavrogi>
Component: fpingAssignee: Charles R. Anderson <cra>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cra
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-04 13:33:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 883152, 1220694    

Comment 1 Nikos Mavrogiannopoulos 2015-05-14 08:02:08 UTC
Description of problem:

The current system of using different software (fping vs fping6) for different versions of the IP stack is broken.  As the IPv6 transition moves ahead its unreasonable to expect the user to do the IP address parsing and decide to use the appropriate tool for the address. 

fping should work like traceroute, ssh or all other applications supporting both protocol versions by default.

How reproducible:
Always

Steps to Reproduce:
1. fping 2a03:2880:20:4f06:face:b00c:0:1

Actual results:
2a03:2880:20:4f06:face:b00c:0:1 address not found
 
Expected results:
2a03:2880:20:4f06:face:b00c:0:1 is alive

Comment 2 Jan Kurik 2015-07-15 14:09:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Charles R. Anderson 2015-07-29 05:09:08 UTC
Filed upstream:

https://github.com/schweikert/fping/issues/80

Comment 4 Fedora End Of Life 2016-11-24 11:47:20 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Charles R. Anderson 2017-02-01 00:22:12 UTC
From the upstream bug report:

schweikert: Implemented in develop branch and to be released with fping 3.16 (see also: fping-3.16-rc2)

Comment 6 Charles R. Anderson 2017-05-04 13:33:44 UTC
Built for rawhide:

https://koji.fedoraproject.org/koji/taskinfo?taskID=19396770